cfg_t(3)

NAME
cfg_t - Data structure holding information about a 'section'.

SYNOPSIS

#include <confuse.h>

  Data Fields
cfg_flag_t flags
Any flags passed to cfg_init()
char * name
The name of this section, the root section returned from cfg_init() is always named 'root'.
char * comment
Optional annotation/comment.
cfg_opt_t * opts
Array of options.
char * title
Optional title for this section, only set if CFGF_TITLE flag is set.
char * filename
Name of the file being parsed.
int line
Line number in the config file.
cfg_errfunc_t errfunc
This function (if set with cfg_set_error_function) is called for any error message.
cfg_searchpath_t * path
Linked list of directories to search.
cfg_print_filter_func_t pff
Printing filter function.

Detailed Description

Data structure holding information about a 'section'. Sections can be nested. A section has a list of options (strings, numbers, booleans or other sections) grouped together.

Examples
ftpconf.c, reread.c, and simple.c.

Field Documentation

  cfg_errfunc_t cfg_t::errfunc

This function (if set with cfg_set_error_function) is called for any error message.

Author

Generated automatically by Doxygen for confuse from the source code.